summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author dsomero <xgizzmo@slackbuilds.org>2011-04-07 15:55:49 -0400
committer Robby Workman <rworkman@slackbuilds.org>2011-04-11 00:10:02 -0500
commit4a7f4d38f9621382beeee694e1544302985f171d (patch)
tree80f64da1e8c28603e264728d566774b2d8120f1a /system
parent709bc705b651947c87b07490fc59dbb19be7b1ca (diff)
downloadslackbuilds-4a7f4d38f9621382beeee694e1544302985f171d.tar.gz
slackbuilds-4a7f4d38f9621382beeee694e1544302985f171d.tar.xz
system/dconf: Added (low-level configuration system)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/dconf/README2
-rw-r--r--system/dconf/dconf.SlackBuild105
-rw-r--r--system/dconf/dconf.info10
-rw-r--r--system/dconf/doinst.sh5
-rw-r--r--system/dconf/slack-desc20
5 files changed, 142 insertions, 0 deletions
diff --git a/system/dconf/README b/system/dconf/README
new file mode 100644
index 0000000000..99e3ef35a4
--- /dev/null
+++ b/system/dconf/README
@@ -0,0 +1,2 @@
+dconf is a low-level configuration system. Its main purpose is to
+provide a backend to the GSettings API in GLib.
diff --git a/system/dconf/dconf.SlackBuild b/system/dconf/dconf.SlackBuild
new file mode 100644
index 0000000000..7bb27ad1c7
--- /dev/null
+++ b/system/dconf/dconf.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for dconf
+
+# Written by David Somero <dsomero@hotmail.com>
+# Derived from Slackware's Slackbuilds.
+#
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2011 David Somero (dsomero@hotmail.com) Athens, TN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dconf
+VERSION=${VERSION:-0.7.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --disable-editor \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/dconf/dconf.info b/system/dconf/dconf.info
new file mode 100644
index 0000000000..07fbc16dc7
--- /dev/null
+++ b/system/dconf/dconf.info
@@ -0,0 +1,10 @@
+PRGNAM="dconf"
+VERSION="0.7.3"
+HOMEPAGE="http://live.gnome.org/dconf"
+DOWNLOAD="http://download.gnome.org/sources/dconf/0.7/dconf-0.7.3.tar.bz2"
+MD5SUM="f541db70d0623d109b1866c732f1a51c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="nobody" \ No newline at end of file
diff --git a/system/dconf/doinst.sh b/system/dconf/doinst.sh
new file mode 100644
index 0000000000..6b275a50c2
--- /dev/null
+++ b/system/dconf/doinst.sh
@@ -0,0 +1,5 @@
+# Reload messagebus service
+if [ -x etc/rc.d/rc.messagebus ]; then
+ chroot . /etc/rc.d/rc.messagebus reload
+fi
+
diff --git a/system/dconf/slack-desc b/system/dconf/slack-desc
new file mode 100644
index 0000000000..6ba8eb7c71
--- /dev/null
+++ b/system/dconf/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dconf: dconf (low-level configuration system)
+dconf:
+dconf: dconf is a low-level configuration system. Its main purpose is to
+dconf: provide a backend to the GSettings API in GLib.
+dconf:
+dconf:
+dconf: Homepage: http://live.gnome.org/dconf
+dconf:
+dconf:
+dconf:
+dconf:
+